<?php
/**
 * @file
 * Admin UI to manage credentials for the OneCall API module.
 */

/**
 * Admin configuration form to configure the OneCall API credentials.
 *
 * @ingroup forms
 */
function onecall_api__admin_configuration_form() {
  $form = array();

  $form['onecall_api__client'] = array(
    '#type' => 'textfield',
    '#title' => t('Client'),
    '#default_value' => variable_get('onecall_api__client'),
  );
  $form['onecall_api__user'] = array(
    '#type' => 'textfield',
    '#title' => t('User'),
    '#default_value' => variable_get('onecall_api__user'),
  );
  $form['onecall_api__password'] = array(
    '#type' => 'textfield',
    '#title' => t('Password'),
    '#default_value' => variable_get('onecall_api__password'),
  );

  return system_settings_form($form);
}
